Bug 119121 - Contains invalid/insecure RPATH
Summary: Contains invalid/insecure RPATH
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: perl   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Target FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-03-25 08:06 UTC by Enrico Scholz
Modified: 2007-04-18 17:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 14:33:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
MakeMaker patch (439 bytes, patch)
2004-03-25 09:54 UTC, Joe Orton
no flags Details | Diff

Description Enrico Scholz 2004-03-25 08:06:08 UTC
Description of problem:

http://www.securityfocus.com/archive/1/351758/2004-01-27/2004-02-02/0
https://www.redhat.com/archives/fedora-devel-list/2004-March/msg00492.html


File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Core/_Core.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_client/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Core/_Core.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_delta/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Core/_Core.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_fs/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Core/_Core.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_ra/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Core/_Core.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_repos/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Core/_Core.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_wc/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Core/_Core.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_diff/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Core/_Core.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_subr/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Core/_Core.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/bindings/swig/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Client/_Client.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_client/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Client/_Client.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_delta/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Client/_Client.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_fs/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Client/_Client.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_ra/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Client/_Client.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_repos/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Client/_Client.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_wc/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Client/_Client.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_diff/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Client/_Client.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_subr/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Client/_Client.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/bindings/swig/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Delta/_Delta.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_client/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Delta/_Delta.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_delta/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Delta/_Delta.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_fs/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Delta/_Delta.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_ra/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Delta/_Delta.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_repos/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Delta/_Delta.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_wc/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Delta/_Delta.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_diff/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Delta/_Delta.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_subr/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Delta/_Delta.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/bindings/swig/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Fs/_Fs.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_client/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Fs/_Fs.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_delta/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Fs/_Fs.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_fs/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Fs/_Fs.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_ra/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Fs/_Fs.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_repos/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Fs/_Fs.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_wc/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Fs/_Fs.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_diff/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Fs/_Fs.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_subr/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Fs/_Fs.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/bindings/swig/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Ra/_Ra.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_client/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Ra/_Ra.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_delta/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Ra/_Ra.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_fs/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Ra/_Ra.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_ra/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Ra/_Ra.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_repos/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Ra/_Ra.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_wc/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Ra/_Ra.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_diff/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Ra/_Ra.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_subr/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Ra/_Ra.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/bindings/swig/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Repos/_Repos.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_client/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Repos/_Repos.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_delta/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Repos/_Repos.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_fs/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Repos/_Repos.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_ra/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Repos/_Repos.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_repos/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Repos/_Repos.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_wc/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Repos/_Repos.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_diff/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Repos/_Repos.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_subr/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Repos/_Repos.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/bindings/swig/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_client/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_delta/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_delta/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_fs/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_ra/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_repos/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_wc/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_diff/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/libsvn_subr/.libs'
File '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi/auto/SVN/_Wc/_Wc.so' contains an invalid rpath '/usr/src/redhat/BUILD/subversion-1.0.1/subversion/bindings/swig/.libs'



Version-Release number of selected component (if applicable):

subversion-1.0.1-1



Bugclass-Cookie: uO55bb

Comment 1 Joe Orton 2004-03-25 09:10:33 UTC
Thanks for the report.  It's strange because subversion builds on my
FC1 development box don't pick up these RPATHs.

Comment 2 Joe Orton 2004-03-25 09:34:24 UTC
This is a Perl bug: MakeMaker is setting LD_RUN_PATH in generated
Makefiles.

Comment 3 Joe Orton 2004-03-25 09:54:57 UTC
Created attachment 98844 [details]
MakeMaker patch

patch to stop MakeMaker setting LD_RUN_PATH

Comment 4 Joe Orton 2004-03-25 10:01:59 UTC
Patch above stops MakeMaker from setting LD_RUN_PATH when linking 
modules which is the cause of the bogus RPATHs in all Perl modules.

Comment 5 Karsten Hopp 2004-09-15 14:33:27 UTC
verified fixed in subversion-1.0.6-3 


Note You need to log in before you can comment on or make changes to this bug.